org.apache.olingo.commons.api.edm.geo

## Enum Geospatial.Dimension

- java.lang.Object
- - java.lang.Enum<Geospatial.Dimension>
  - - org.apache.olingo.commons.api.edm.geo.Geospatial.Dimension

- All Implemented Interfaces:
    Serializable, Comparable<Geospatial.Dimension>
  Enclosing class:
    Geospatial

      public static enum Geospatial.Dimension
      extends Enum<Geospatial.Dimension>

  Dimension of the geospatial type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GEOGRAPHY` Geography type
    `GEOMETRY` Geometry type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Geospatial.Dimension` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Geospatial.Dimension[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GEOMETRY

          public static final Geospatial.Dimension GEOMETRY

      Geometry type

    - #### GEOGRAPHY

          public static final Geospatial.Dimension GEOGRAPHY

      Geography type

  - ### Method Detail

    - #### values

          public static Geospatial.Dimension[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Geospatial.Dimension c : Geospatial.Dimension.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Geospatial.Dimension valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.